Finance::Quote::BSEIndia(3pm)

NAME
Finance::Quote::BSEIndia - Obtain quotes from BSE (India).

SYNOPSIS
  use Finance::Quote;

  $q = Finance::Quote->new();

  %info = $q->fetch('bseindia', 'INE001A01036'); # Only query BSE.
  %info = $q->fetch('india', 'INE001A01036'); # Failover to other sources OK.

DESCRIPTION
This module obtains information about shares listed on the BSE (India). Source is the daily bhav copy (zipped CSV).

This module provides both the "bseindia" and "india" fetch methods. Please use the "india" fetch method if you wish to have failover with other sources for Indian stocks (such as NSE).

LABELS RETURNED
The following labels may be returned by Finance::Quote::BSEIndia: close, last, high, low, open, prevclose, exchange, name

SEE ALSO
BSE (formerly known as Bombay Stock Exchange Ltd.), http://www.bseindia.com/